parameters:
  containerRegistry:
  credentials:
  env:

stages:
- stage: build_and_deploy
  jobs:
  - job: build_and_deploy
    displayName: 'Publish & Deploy'
    timeoutInMinutes: 200
    pool:
      vmImage: ubuntu-latest
    steps:
    - task: Docker@2
      displayName: 'Publish'
      inputs:
        containerRegistry: ${{ parameters.containerRegistry }}
        repository: res-${{ parameters.env }}-crm-cdp-dataplatform/loc_stat
        tags: |
          latest
          $(Build.SourceBranchName)
        Dockerfile: Dockerfile